import { Component } from '@angular/core';
import { EnviarInfoService } from '../../../Administrador/services/enviar-info.service';
import { forkJoin } from 'rxjs';
import { GradosEducativosService } from '../../../Administrador/services/grados-educativos.service';
import { GruposService } from '../../../Administrador/services/grupos.service';
import { MateriaService } from '../../../Administrador/services/materia.service';
import { Router } from '@angular/router';


@Component({
  selector: 'app-centro-recursos',
  templateUrl: './centro-recursos.component.html',
  styleUrl: './centro-recursos.component.css'
})
export class CentroRecursosComponent {
  public color:string = '';
  public textColor:string = '';
  public todos: any[] = [];
  public materias: any[] = [];
  public filtrados: any[] = [];
  public isLoading: boolean = true;
  public isHover: any;
  public seleccionado: boolean = false;
  constructor(
    private _enviarInfo: EnviarInfoService,
    private gradosService: GradosEducativosService,
    private gruposService: GruposService,
    private materiasService: MateriaService,
    private router: Router
  ){
    this.gradosGrupos();
    this.materiasS();
  }

  ngOnInit(): void {
    this._enviarInfo.currentTextColor.subscribe(textColor => {
      this.textColor = textColor;
    });
    this._enviarInfo.currentColor.subscribe(color => {
      this.color = color;
    });
  }

  gradosGrupos() {
    forkJoin({
      grados: this.gradosService.getHabilitados(),
      grupos: this.gruposService.getHabilitados()
    }).subscribe(({ grados, grupos }: any) => {
      this.todos = grados.concat(grupos);
      this.isLoading = false;
    });
  }

  

  materiasS(){
    this.materiasService.getHabilitados().subscribe((response: any) => {
      this.materias = response;
      this.isLoading = false;
    })
  }

  onGradoGrupo(event: any) {
    this.seleccionado = true;
    console.log(event);
    this.filtrados = this.materias.filter((materia: any) => materia.idGradoGrupoRelacionado === event);
    console.log(this.filtrados);
  }

  ver(id:string){
   console.log(id);
   console.log(btoa(id));
   this.router.navigate(['/homeProfe/cursoMateria', btoa(id)]);

  }

}
